This command watches the current application's source code for changes and
and rebuild the necessary outputs to support "dev mode".

    sencha app watch
    
This will run an initial pass over the ant targets specified by the
build.trigger.targets ant property. During this pass, the compiler will 
be instrumented to capture the files used as inputs for the build
(JavaScript, Sass and page resources).

A subset of Ant build targets will be re-triggered each time a file in one
if the directories being monitored is created, deleted, or modified. 

A web server is automatically started and hosts the application at the
default port of 1841.

The high-level logic of the watch process is implemented in Ant. For 
details, see `".sencha/app/watch-impl.xml."`.
    
For information regarding the set of available Ant properties that
control the the watch process, see `".sencha/app/defaults.properties"`.

Integration with Sencha Inspector can be enabled by using the -i or --inspector 
switch:

    sencha app watch --inspector
    
This will add the necessary code to the application in order to connect with
Sencha Inspector using the default address (http://localhost:1839/).

The default address can be configured via the inspector.address property on 
${cmd.dir}/sencha.cfg, the current user configuration file 
(~/.sencha/cmd/sencha.cfg) or using the config command:

    sencha config --prop inspector.address=http://server:port/ \
        then \
        app watch --inspector

For information about the integration process with Sencha Inspector see:
http://docs.sencha.com/tools/sencha_inspector/

If a web.xml file is present on the application root, this command can try to use
it to establish the context of a J2EE application by using the -j, --j2ee switch.

    sencha app watch --j2ee
    
It is important to note that this command will only work if all dependencies of 
the J2EE application are already in the classpath as Sencha Cmd does not include
them during the install process. (e.g. servlet-api.jar).