This command allows the addition of a framework entry to the current workspace.

A path can be passed as argument:

    sencha framework add /path/to/ext
    
Sencha Cmd will determine the framework's name and version and use them to 
generate a key (e.g: "ext6" or "ext501"), by default this key will also be used
as the name of a directory inside the workspace where the framework will be 
copied to.

A package name can be passed as argument:

    sencha framework add ext@n[.n[.n[.n]]] 
    
if the package does not already exist in the workspace repository, it will be
downloaded and extracted to the workspace packages directory.

Since package names can sometimes be ambiguous (for example when a directory 
named "ext" exists a call to `sencha framework add ext` is made) the --package 
switch can be used to force the first argument to be treated as a package name:

    # If a directory called "ext" exists it will be added as a framework entry
    sencha framework add ext
    
    # It will treat "ext" as package name and act accordingly 
    sencha framework add --package ext


Optionally, the path to which the framework will be copied can be passed as 
second argument:

    # Will copy the framework to ${workspace.dir}/ext
    sencha framework add /path/to/ext ext
    
    # Will copy the framework to ${workspace.dir}/ext5
    sencha framework add /path/to/ext-5 ext5

A third argument can be used to specify the framework key:

    # Will add a framework entry with "ext-custom" as key
    sencha framework add /path/to/ext my_ext ext-custom
    
The framework key must begin with "ext" or "touch".